캐드 리습중 DS 인데요

그냥 M로 환산한 수치가 출력됩니다

앞에 L : 이라는 글자를 추가하고 싶은데요

간단한 것 같은데 도저히 모르겠네요

여기에 마우스로 위치클릭이 아닌 폴리선 중앙에 출력되게끔도 하고싶습니다
도와주세요!

(defun c:ds ()
(setvar "cmdecho" 0)
(setq ent (ssget '((0 . "LINE,CIRCLE,ARC,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE"))))
(setq n 0 dis 0)
(repeat (sslength ent)
(setq ent_l (ssname ent n))
(command "lengthen" ent_l "")
(setq dis (+ dis (GETVAR "PERIMETER")))
(setq n (1+ n))
)
(setq dis (rtos (/ dis 1000) 2 2))
(prompt (strcat "\n>> 선택 객체수 = "(rtos n)"   길이합계 = " dis))(princ)
(princ "\nDo You Want Write it into the DWG? <y> ")
    (setq z (strcase (getstring)))
    (if (or (= z "") (= z "Y"))
        (progn
            (setq pt (getpoint "\nText Point: "))
            (setq h (getvar "textsize"))
            (prompt "\nText Height: ")
            (princ H)
            (princ "  : ")
            (setq z (getdist))
            (if z
                (setq h z)
            )
            (command "text"
                     (setq z pt)
                     (setq z h)
                     (setq z 0.0)
                     (setq z dis)
(setvar "cmdecho" 1))))
)